Magick++ 7.1.0

Public Member Functions | List of all members
Magick::shadeImage Class Reference

`#include <STL.h>`

## Public Member Functions
| shadeImage (const double azimuth_=30, const double elevation_=30, const bool colorShading_=false)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 1001 of file STL.h.

## Constructor & Destructor Documentation

## ◆ shadeImage()

Magick::shadeImage::shadeImage | ( | const double | azimuth_ = `30`,
|  | const double | elevation_ = `30`,
|  | const bool | colorShading_ = `false`
| ) |  |

Definition at line 954 of file STL.cpp.

## Member Function Documentation

## ◆ operator()()

void Magick::shadeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 962 of file STL.cpp.

References Magick::Image::shade().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp